clang-tools 3.8.0

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Namespaces
IdentifierNamingCheck.h File Reference
`#include "../ClangTidy.h"`
Include dependency graph for IdentifierNamingCheck.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::tidy::readability::IdentifierNamingCheck
| Checks for identifiers naming style mismatch. More...
struct | clang::tidy::readability::IdentifierNamingCheck::NamingStyle
struct | clang::tidy::readability::IdentifierNamingCheck::NamingCheckFailure
| Holds an identifier name check failure, tracking the kind of the identifer, its possible fixup and the starting locations of all the idenfiier usages. More...

## Namespaces
| clang
| clang::tidy
| clang::tidy::readability